| OrbbecSDK 1.5.7 OrbbecSDK: Software-Development-Kit for Orbbec 3D-Sensor devices

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
OBDeviceSyncConfig Struct Reference

Device synchronization configuration. More...

`#include <ObTypes.h>`

## Public Attributes
OBSyncMode | syncMode
uint16_t | irTriggerSignalInDelay
| IR Trigger signal input delay: Used to configure the delay between the IR/Depth/TOF Sensor receiving the trigger signal and starting exposure, Unit: microsecond. More...
uint16_t | rgbTriggerSignalInDelay
| RGB trigger signal input delay is used to configure the delay from the time when an RGB Sensor receives the trigger signal to the time when the exposure starts. Unit: microsecond. More...
uint16_t | deviceTriggerSignalOutDelay
| Device trigger signal output delay, used to control the delay configuration of the host device to output trigger signals or the slave device to output trigger signals. Unit: microsecond. More...
uint16_t | deviceTriggerSignalOutPolarity
| The device trigger signal output polarity. More...
uint16_t | mcuTriggerFrequency
| MCU trigger frequency, used to configure the output frequency of MCU trigger signal in MCU master mode, unit: Hz. More...
uint16_t | deviceId
| Device number. Users can mark the device with this number. More...

## Detailed Description

Device synchronization configuration.

Definition at line 959 of file ObTypes.h.

## Member Data Documentation

OBSyncMode OBDeviceSyncConfig::syncMode

Definition at line 967 of file ObTypes.h.

uint16_t OBDeviceSyncConfig::irTriggerSignalInDelay

IR Trigger signal input delay: Used to configure the delay between the IR/Depth/TOF Sensor receiving the trigger signal and starting exposure, Unit: microsecond.

Attention
  This parameter is invalid when the synchronization MODE is set to OB_SYNC_MODE_PRIMARY_IR_TRIGGER

Definition at line 981 of file ObTypes.h.

uint16_t OBDeviceSyncConfig::rgbTriggerSignalInDelay

RGB trigger signal input delay is used to configure the delay from the time when an RGB Sensor receives the trigger signal to the time when the exposure starts. Unit: microsecond.

Attention
  This parameter is invalid when the synchronization MODE is set to OB_SYNC_MODE_PRIMARY

Definition at line 995 of file ObTypes.h.

uint16_t OBDeviceSyncConfig::deviceTriggerSignalOutDelay

Device trigger signal output delay, used to control the delay configuration of the host device to output trigger signals or the slave device to output trigger signals. Unit: microsecond.

Attention
  This parameter is invalid when the synchronization MODE is set to OB_SYNC_MODE_CLOSE or OB_SYNC_MODE_STANDALONE

Definition at line 1009 of file ObTypes.h.

uint16_t OBDeviceSyncConfig::deviceTriggerSignalOutPolarity

The device trigger signal output polarity.

0: forward pulse; 1: negative pulse

Attention
  This parameter is invalid when the synchronization MODE is set to OB_SYNC_MODE_CLOSE or OB_SYNC_MODE_STANDALONE

Definition at line 1024 of file ObTypes.h.

uint16_t OBDeviceSyncConfig::mcuTriggerFrequency

MCU trigger frequency, used to configure the output frequency of MCU trigger signal in MCU master mode, unit: Hz.

This configuration will directly affect the image output frame rate of the Sensor. Unit: FPS （frame pre second）

Attention
  This parameter is invalid only when the synchronization MODE is set to OB_SYNC_MODE_PRIMARY_MCU_TRIGGER

Definition at line 1039 of file ObTypes.h.

uint16_t OBDeviceSyncConfig::deviceId

Device number. Users can mark the device with this number.

Definition at line 1048 of file ObTypes.h.

The documentation for this struct was generated from the following file:

- /root/libobsensor/include/libobsensor/h/ObTypes.h